MyGatewayTransportFilter1 (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache30

## Class MyGatewayTransportFilter1

- java.lang.Object
- - org.apache.geode.cache30.MyGatewayTransportFilter1

- All Implemented Interfaces:
    java.io.Serializable, CacheCallback, Declarable, GatewayTransportFilter, org.apache.geode.internal.cache.xmlcache.Declarable2

      public class MyGatewayTransportFilter1
      extends java.lang.Object
      implements GatewayTransportFilter, org.apache.geode.internal.cache.xmlcache.Declarable2, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyGatewayTransportFilter1()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.
    `java.util.Properties` | `getConfig()`
    `java.io.InputStream` | `getInputStream(java.io.InputStream stream)`
    `java.io.OutputStream` | `getOutputStream(java.io.OutputStream stream)`
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### MyGatewayTransportFilter1

          public MyGatewayTransportFilter1()

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream(java.io.InputStream stream)

      Specified by:
        `getInputStream` in interface `GatewayTransportFilter`

    - #### getOutputStream

          public java.io.OutputStream getOutputStream(java.io.OutputStream stream)

      Specified by:
        `getOutputStream` in interface `GatewayTransportFilter`

    - #### close

          public void close()

      Description copied from interface: `CacheCallback`
      Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.

      Implementations should cleanup any external resources such as database connections. Any runtime exceptions this method throws will be logged.

      It is possible for this method to be called multiple times on a single callback instance, so implementations must be tolerant of this.

      Specified by:
        `close` in interface `CacheCallback`
      See Also:
        `RegionService.close()`, `Region.close()`, `Region.localDestroyRegion()`, `Region.destroyRegion()`, `AttributesMutator`

    - #### getConfig

          public java.util.Properties getConfig()

      Specified by:
        `getConfig` in interface `org.apache.geode.internal.cache.xmlcache.Declarable2`

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.